package com.ruoyi.mall.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户学校录取率对象 mall_member_rate_school
 *
 * @author ruoyi
 * @date 2024-07-15
 */
public class MallMemberRateSchool extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户学校录取率id */
    private Long rateSchoolId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 学校id */
    @Excel(name = "学校id")
    private Long schoolId;

    /** 录取率 */
    @Excel(name = "录取率")
    private BigDecimal acceptRate;

    /** 显示录取率 */
    @Excel(name = "显示录取率")
    private String showAcceptRate;

    /** 类型0-搏一搏,1-可冒险,2-较稳妥,3-可保底 */
    @Excel(name = "类型0-搏一搏,1-可冒险,2-较稳妥,3-可保底")
    private Integer rateType;

    /** 删除标记0-正常,1-删除 */
    private Integer delFlag;

    /** 批次id */
    private Long batchId;

    /** 学科 */
    private String subjectType;

    public String getSubjectType() {
        return subjectType;
    }

    public void setSubjectType(String subjectType) {
        this.subjectType = subjectType;
    }

    public Long getBatchId() {
        return batchId;
    }

    public void setBatchId(Long batchId) {
        this.batchId = batchId;
    }

    public void setRateSchoolId(Long rateSchoolId)
    {
        this.rateSchoolId = rateSchoolId;
    }

    public Long getRateSchoolId()
    {
        return rateSchoolId;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setSchoolId(Long schoolId)
    {
        this.schoolId = schoolId;
    }

    public Long getSchoolId()
    {
        return schoolId;
    }
    public void setAcceptRate(BigDecimal acceptRate)
    {
        this.acceptRate = acceptRate;
    }

    public BigDecimal getAcceptRate()
    {
        return acceptRate;
    }
    public void setShowAcceptRate(String showAcceptRate)
    {
        this.showAcceptRate = showAcceptRate;
    }

    public String getShowAcceptRate()
    {
        return showAcceptRate;
    }
    public void setRateType(Integer rateType)
    {
        this.rateType = rateType;
    }

    public Integer getRateType()
    {
        return rateType;
    }
    public void setDelFlag(Integer delFlag)
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("rateSchoolId", getRateSchoolId())
            .append("userId", getUserId())
            .append("schoolId", getSchoolId())
            .append("acceptRate", getAcceptRate())
            .append("showAcceptRate", getShowAcceptRate())
            .append("rateType", getRateType())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
